Error: Function `GA MPI Comm pgroup default' implicitly converted to pointer at util getppn.c:45

From NWChem

Viewed 1093 times, With a total of 2 Posts
Jump to: navigation, search

Clicked A Few Times
Threads 4
Posts 7
Depending on the compiler flags, the "MPI_Comm ga_comm=GA_MPI_Comm_pgroup_default();" line in src/util/util_getppn.c, line 45 results in a warning or an error. In particular, the Ubuntu autobuilders reject nwchem due to this.

It seems to be including ga-mpi.h next to ga.h in util_getppn.c would silence that warning/resolve that error, but no other NWChem source file includes ga-mpi.h so I am asking here about how to solve it in 6.6?

Or is a fix already in the development version and/or one of the published patches? (I had a quick look through the patches but could not find anything).

Clicked A Few Times
Threads 4
Posts 7
Quote:Mbanck Feb 14th 11:28 am

It seems to be including ga-mpi.h next to ga.h in util_getppn.c would silence that warning/resolve that error, but no other NWChem source file includes ga-mpi.h so I am asking here about how to solve it in 6.6?


Hrm, I just realized that util_getppn.c unconditionally includes <mpi.h>, so I guess including "ga-mpi.h" would not be an issue?

Forum Vet
Threads 7
Posts 1354
Patch available
Michael
Thanks for reporting this issue.
util/util_mpinap.c had a similar issue, too.
A patch to address both issues is now available
http://www.nwchem-sw.org/download.php?f=Ga_defs.patch.gz


Forum >> NWChem's corner >> Compiling NWChem



Who's here now Members 0 Guests 0 Bots/Crawler 1


AWC's: 2.5.10 MediaWiki - Stand Alone Forum Extension
Forum theme style by: AWC